export default {
    data() {
        return {
            sourcesList: [],
            typeList: [],
            adminList: [],
        }
    },
    methods: {
        async getSourceList() {
            const data = await this.$fetch('/listPromoteSource', {page: 1, pageSize: 100})
            if (data.code == 200) {
                this.sourcesList = data.data.list
            }
        },
        async getTypeList() {
            const data = await this.$fetch('/listPromoteType', {page: 1, pageSize: 100})
            if (data.code == 200) {
                this.typeList = data.data.list
            }
        },
        async getAdminList() {
            const data = await this.$fetch('/listPromoteAdmin', {page: 1, pageSize: 100})
            if (data.code == 200) {
                this.adminList = data.data.list
            }
        }
    },
    async mounted() {
        this.getSourceList()
        this.getTypeList()
        this.getAdminList()
    },
}